Subject: Re: linux-next: build failure after merge of the block tree

From: Michal Marek <[email-masked]>
Date: Tue, 26 Apr 2016 15:30:01 +0200

On 2016-04-26 05:38, Stephen Rothwell wrote:
> Hi Nicolas,
> 
> After merging the block tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: ".blk_queue_write_cache" [drivers/block/virtio_blk.ko] undefined!
> ERROR: ".blk_queue_write_cache" [drivers/block/ps3disk.ko] undefined!
> ERROR: ".blk_queue_write_cache" [drivers/block/nbd.ko] undefined!
> 
> Caused by commit
> 
>   089095b8eef9 ("kbuild: better abstract vmlinux sequential prerequisites")
> 
> from the kbuild-pite tree.
> 
> I have reverted that commit for today.

I can't reproduce this with today's linux-next and the revert reverted.
Also, CONFIG_TRIM_UNUSED_KSYMS is disabled in the defconfig as expected,
so I have no idea what went wrong.

Michal